## net.sf.statcvs.util
Class ConsoleOutErrHandler

    java.lang.Object
      java.util.logging.Handler
          net.sf.statcvs.util.ConsoleOutErrHandler

    public class ConsoleOutErrHandler

extends Handler

Customized console logging handler.

The `ConsoleOutErrHandler` writes log messages of severity `WARNING` and higher to the `System.err` stream, and all other log messages to `System.out`. It uses a `LogFormatter` to format the records.

Version:
  $Id: ConsoleOutErrHandler.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

Constructor Summary
`ConsoleOutErrHandler()` Constructor for ConsoleOutErrHandler.

Method Summary
`void` `close()`
`void` `flush()`
`void` `publish(LogRecord record)`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleOutErrHandler

    public ConsoleOutErrHandler()

  Constructor for ConsoleOutErrHandler.

Method Detail

### publish

    public void publish(LogRecord record)

  Specified by:
    `publish` in class `Handler`
  Parameters:
    `record` - a log record
  See Also:
    `Handler.publish(LogRecord)`

### flush

    public void flush()

  Specified by:
    `flush` in class `Handler`
  See Also:
    `Handler.flush()`

### close

    public void close()
               throws SecurityException

  Specified by:
    `close` in class `Handler`
  Throws:
    `SecurityException`
  See Also:
    `Handler.close()`